ALLYS Paris ALLYS des outils pour les développeurs
Intel > Bibliothèques > Performance & multimédia

Nouveau dans Intel Integrated Performance Primitives (IPP) 5.1

Quoi de neuf dans cette version ? Compatibilité, Pré-requis et Support technique

Dans cette versionCompatibilitéPré-requisSupport technique

Dans cette version

Compatibilité

Support de Mac OS : avec Intel® Integrated Performance Primitives 5.1 pour Mac OS*, vous pouvez facilement porter vos applications sous Mac OS en utilisant le même API et fonctions valides sous Windows and Linux.

Intel IPP s’intègre aux outils de développement et environnements les plus usités, comme Microsoft Visual Studio*, Xcode*, Eclipse*, GCC, et Intel® C++ Compiler.

Sous un unique API cohérent, les fonctions d’Intel IPP sont hautement optimisées pour de nombreux processeurs 32 et 64 bits :

Haut de page

Pré-requis systèmes & logiciels

PlateformesLogiciels

Plateformes

Veuillez vous reporter à la section correspondante ci-dessous à votre plateforme :

Systèmes 32 bits processeur Intel® Core™ Duo
Intel® Pentium® M
Intel Pentium D
Intel Pentium 4
Intel® Xeon®
processeurs AMD Athlon*/Opteron*
processeurs 64 bits avec Intel® EM64TIntel Pentium D
Intel Pentium 4
Intel Xeon
Systèmes 64 bit Intel® Itanium® 2 Intel® Itanium® 2
processeurs Intel® IXP4xx avec technologie Intel XScale®
Intel® PXA27x avec technologie Intel® Wireless MMX™

32-bit Systems

(Processeurs Intel® Core™ Duo, Intel Core Solo, Intel® Pentium® D, Intel Pentium 4 et autres processeurs compatibles)

 Systèmes d’exploitationCompilateurs supportés
Microsoft Windows*Windows* 2000

Windows XP

Windows Server* 2003

Windows CE 5.0

Intel® C++ Compiler 8.0 pour Windows

Intel C++ Compiler 9.0 pour Windows

Microsoft Visual C++* .NET 2003

Microsoft Visual Studio* 6.0

Microsoft eMbedded Visual C++ 4.0 avec Service Pack 4

LinuxRed Hat Linux* 7.3, 8, ou 9

Red Hat Enterprise Linux* 2.1 ou 3

SUSE Linux* 8.2 ou 9.1

SUSE Linux Enterprise Server* 8 ou 9

Intel C++ Compiler version 8.1 pour Linux* pour processeurs IA-32 et Itanium®

Intel C++ Compiler 9.0 pour Linux ou suivant

composants Linux Developer Tools installés, incluant gcc, g++, et les outils correspondants

Mac OSMac OS X* 10.4.3 ou suivantIntel® C++ Compiler 9.1 pour Mac OS

GNU Compiler Collection 4.0 ou suivant

Haut de page

Processeurs 64 bits avec Intel® EM64T

(Processeurs Intel® Pentium® D, Intel Pentium 4,et Intel® Xeon® , et les autres processeurs compatibles Intel® EM64T.)

 Systèles d’exploitationCompilateurs supportés
Microsoft Windows*Windows* XP 64-bit EditionIntel® C++ Compiler 9.0 pour Windows

Windows Server* 2003 avec Service Pack 1 SDK

(Processeurs Intel® Pentium® D, Intel Pentium 4, et Intel® Xeon® , et autres processeurs compatibles Intel® EM64T.)

 Systèmes d’exploitationCompilateurs supportés
Microsoft Windows*Windows* XP 64-bit EditionIntel® C++ Compiler 9.0 for Windows

Windows Server* 2003 avec Service Pack 1 SDK

LinuxRed Hat Enterprise Linux* 3

SUSE Linux Enterprise Server* 9

Linux avec glibc 2.2.4, 2.2.5, 2.2.93, 2.3.2 ou 2.3.3, et 2.4.X ou 2.6.X Linux kernel

Intel C++ Compiler 8.1 pour Linux, pour processeurs avec Intel® EM64T

Intel C++ Compiler 9.0 pour Linux

composants Linux Developer Tools installés, incluant GCC, g++, et les outils correspondants

Systèmes 64-bit Intel® Itanium® 2

 Systèmes d’exploitationCompilateurs supportés
Microsoft Windows*Windows Server* 2003Intel® C++ Compiler 8.1 pour IA-32 and Itanium®

Intel C++ Compiler 9.0 pour Windows

Microsoft Platform SDK February 2003

LinuxRed Hat Enterprise Linux 2.1, 3

SUSE Linux Enterprise Server* 8 ou 9

Linux avec glibc 2.2.4, 2.2.5, 2.2.93, 2.3.2, ou 2.3.3 et 2.4.X ou 2.6.X Linux kernel

Intel C++ Compiler 8.1 pour Linux, pour processors avec Intel® EM64T

Intel C++ Compiler 9.0 pour Linux

composants Linux Developer Tools installés, incluant GCC, g++, et les outils correspondants

Haut de page

Processeurs Intel® IXP4xx avec technologie Intel XScale®

 Systèmes d’exploitation Compilateurs supportés
Microsoft Windows*Windows XPMicrosoft eMbedded Visual C++* 4.0 avec Service Pack 4
LinuxMontaVista Linux* 3.0 CEE LE

MontaVista Linux 3.1 Pro BE

iwmmxt_le-gcc (MontaVista) pour applications LE applications

xscale_be-gcc (MontaVista) pour applications BE

Processeur Intel® PXA27x supportant la technologie Intel® Wireless MMX™

 Systèmes d’exploitation Compilateurs supportés
Microsoft Windows*Windows Mobile* 2003Microsoft eMbedded Visual C++* 4.0 avec Service Pack 4
LinuxRed Hat Linux* Release 7.2 ou suivanteiwmmxt_le-gcc (GCC) 3.3 (MontaVista), glibc 2.3.2 & binutils 2.14 20030612

arm-linux-gcc (GCC) 3.3.2, glibc 2.3.2 & binutils 2.14.90.0.7 20031029

Logiciels

 Logiciels supportés / Systèmes
Systemès d’exploitationMicrosoft Windows* :
Windows* ME
Windows 2000, XP, ou suivant
Windows Server* 2003 ou suivant

Linux* :

Red Hat Linux* 8.0 ou suivant
Red Hat Advanced Server* 2.1 ou suivant
Red Hat Enterprise Linux 3.0 ou suivant
SUSE Linux 8.2 ou suivant
SUSE Linux Enterprise Server* 8.0 ou suivant

Mac OS* :
Version 10.4.3 ou suivant

Processeur pré-requisprocesseur 300MHz ou plus, compatible avec processeur Intel® Pentium® avec technologie MMX™
Minimum place disque pour installation400 MO
Haut de page

Support

Tout achat de logiciel Intel® inclut un an de services au support technique avec l’accès à Intel® Premier Support et toutes les mises à jour mineures au cours de cette période.

Intel Premier Support vous donne accès en ligne aux notes techniques, notes applicatives, et documentation. Installez le logiciel, enregistrez-vous pour obtenir le support et toutes les informations de mises à jour.

Toujours plus de support technique pour le développeur, grâce aux ressources à découvrir ! Haut de page

ALLYS , 65 boulevard de Sébastopol, 75001 Paris

E-mail: allys@allys-soft.com

Web: http://www.allys-soft.com

(C) Copyright ALLYS, 2005-2007